### Name: Coef.qrrvglm
### Title: Returns Important Matrices etc. of a QO Object
### Aliases: Coef.qrrvglm
### Keywords: models regression

### ** Examples

## Not run: 
##D set.seed(123)
##D n = 100
##D x1 = rnorm(n)
##D x2 = rnorm(n)
##D x3 = rnorm(n)
##D lv1 = 0 + x2 - 2*x3
##D lambda1 = exp(3 - 0.5 * (lv1-0)^2)
##D lambda2 = exp(2 - 0.5 * (lv1-1)^2)
##D lambda3 = exp(2 - 0.5 * ((lv1+4)/2)^2) # Unequal tolerances
##D y1 = rpois(n, lambda1)
##D y2 = rpois(n, lambda2)
##D y3 = rpois(n, lambda3)
##D set.seed(111)
##D p1 = cqo(cbind(y1,y2,y3) ~ x1 + x2 + x3, poissonff, trace=FALSE)
##D lvplot(p1, y=TRUE, lcol=1:3, pch=1:3, pcol=1:3)
##D Coef(p1)
##D print(Coef(p1), digits=3)
## End(Not run)



