### Name: Coef.rrvglm
### Title: Returns Important Matrices etc. of a RR-VGLM Object
### Aliases: Coef.rrvglm
### Keywords: models regression

### ** Examples

# Rank-1 stereotype model of Anderson (1984)
data(pneumo)
n = nrow(pneumo)
pneumo = transform(pneumo, let=log(exposure.time), x1=runif(n), x2=runif(n))
fit = rrvglm(cbind(normal,mild,severe) ~ let + x1 + x2, multinomial, pneumo)
coef(fit, matrix=TRUE)
Coef(fit)
print(Coef(fit), digits=3)



