### Name: Links
### Title: Link functions for VGLM/VGAM/etc. families
### Aliases: Links TypicalVGAMlinkFunction
### Keywords: models

### ** Examples

logit("a")
logit("a", short=FALSE)
logit("a", short=FALSE, tag=TRUE)

logoff(2:5, earg=list(offset=1))  # Same as log(2:5 + 1)
powl(2:5, earg=list(power=2))     # Same as (2:5)^2

data(hunua)
fit1 = vgam(agaaus ~ altitude, binomialff(link=cloglog), hunua)    # ok
fit2 = vgam(agaaus ~ altitude, binomialff(link="cloglog"), hunua)  # ok

## Not run: 
##D # This no longer works since "clog" is not a valid VGAM link function:
##D fit3 = vgam(agaaus ~ altitude, binomialff(link="clog"), hunua) # not ok
##D 
##D par(mfrow=c(2,2))
##D p = seq(0.01, 0.99, len=200)
##D x = seq(-4, 4, len=200)
##D plot(p, logit(p), type="l", col="blue")
##D plot(x, logit(x, inverse=TRUE), type="l", col="blue")
##D plot(p, logit(p, deriv=1), type="l", col="blue") # reciprocal!
##D plot(p, logit(p, deriv=2), type="l", col="blue") # reciprocal!
## End(Not run)



