### Name: Opt
### Title: Maxima
### Aliases: Opt
### Keywords: models regression

### ** Examples

data(hspider)
set.seed(111)  # This leads to the global solution
hspider[,1:6] = scale(hspider[,1:6]) # Standardized environmental vars
p1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
               Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
               Trocterr, Zoraspin) ~
         WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
         Bestof = 2,
         fam = quasipoissonff, data = hspider, Crow1positive=FALSE)
Opt(p1)

## Not run: 
##D index = 1:ncol(p1@y)
##D persp(p1, col=index, las=1, lwd=2, main="Vertical lines at the optima")
##D abline(v=Opt(p1), lty=2, col=index)
## End(Not run)



