### Name: Betabin
### Title: The Beta-Binomial Distribution
### Aliases: Betabin dbetabin pbetabin rbetabin dbetabin.ab pbetabin.ab
###   rbetabin.ab
### Keywords: distribution

### ** Examples

## Not run: 
##D N = 9; x = 0:N; s1=2; s2=3
##D dy = dbetabin.ab(x, size=N, shape1=s1, shape2=s2)
##D plot(x, dy, type="h", col="red", ylim=c(0,0.25), ylab="Probability",
##D      main=paste("Beta-binomial (size=",N,", shape1=",s1,
##D                 ", shape2=",s2,")", sep=""))
##D lines(x+0.1, dbinom(x, size=N, prob=s1/(s1+s2)), type="h", col="blue")
##D sum(dy*x) # Check expected values are equal
##D sum(dbinom(x, size=N, prob=s1/(s1+s2))*x)
##D cumsum(dy) -  pbetabin.ab(x, N, shape1=s1, shape2=s2)
##D 
##D y = rbetabin.ab(n=10000, size=N, shape1=s1, shape2=s2)
##D ty = table(y)
##D lines(as.numeric(names(ty))+0.2, ty/sum(ty), type="h", col="green")
##D legend(5, 0.25, leg=c("beta-binomial","binomial", "random generated"),
##D        col=c("red","blue","green"), lty=1)
## End(Not run)



