### Name: Betanorm
### Title: The Beta-Normal Distribution
### Aliases: Betanorm dbetanorm pbetanorm qbetanorm rbetanorm
### Keywords: distribution

### ** Examples

## Not run: 
##D shape1 = 0.1; shape2 = 4; m = 1
##D x = seq(-10, 2, len=501)
##D plot(x, dbetanorm(x, shape1, shape2, m=m), type="l", ylim=0:1, las=1,
##D      ylab=paste("betanorm(",shape1,", ",shape2,", m=",m, ", sd=1)", sep=""),
##D      main="Blue is density, red is cumulative distribution function",
##D      sub="Purple lines are the 10,20,...,90 percentiles", col="blue")
##D lines(x, pbetanorm(x, shape1, shape2, m=m), col="red")
##D abline(h=0)
##D probs = seq(0.1, 0.9, by=0.1)
##D Q = qbetanorm(probs, shape1, shape2, m=m)
##D lines(Q, dbetanorm(Q, shape1, shape2, m=m), col="purple",
##D       lty=3, type="h")
##D lines(Q, pbetanorm(Q, shape1, shape2, m=m), col="purple", lty=3, type="h")
##D abline(h=probs, col="purple", lty=3)
##D pbetanorm(Q, shape1, shape2, m=m) - probs # Should be all 0
## End(Not run)



