### Name: betaprime
### Title: The Beta-Prime Distribution
### Aliases: betaprime
### Keywords: models regression

### ** Examples

yb = rbeta(n <- 1000, shape1=exp(1), shape2=exp(3))
y1 = (1-yb)/yb
y2 = yb/(1-yb)
y3 = rgamma(n, exp(3)) / rgamma(n, exp(2))

fit1 = vglm(y1 ~ 1, betaprime, trace=TRUE)
coef(fit1, matrix=TRUE)

fit2 = vglm(y2 ~ 1, betaprime, trace=TRUE)
coef(fit2, matrix=TRUE)

fit3 = vglm(y3 ~ 1, betaprime, trace=TRUE)
coef(fit3, matrix=TRUE)

# Compare the fitted values
mean(y3)
fitted(fit3)[1:5]
Coef(fit3)  # Useful for intercept-only models



