### Name: calibrate
### Title: Model Calibrations
### Aliases: calibrate
### Keywords: models regression

### ** Examples

data(hspider)
hspider[,1:6] = scale(hspider[,1:6]) # Standardized environmental vars
set.seed(123)
p1 = cao(cbind(Pardlugu, Pardmont, Pardnigr, Pardpull, Zoraspin) ~
         WaterCon + BareSand + FallTwig + 
         CoveMoss + CoveHerb + ReflLux,
         family = poissonff, data = hspider, Rank = 1,
         df1.nl = c(Zoraspin=2, 1.9),
         Bestof = 3, Crow1positive = TRUE)

siteNos = 1:2  # Calibrate these sites
cp1 = calibrate(p1, new=data.frame(p1@y[siteNos,]), trace=TRUE)

## Not run: 
##D # Graphically compare the actual site scores with their calibrated values
##D persp(p1, main="Solid=actual, dashed=calibrated site scores",
##D       label=TRUE, col="blue", las=1)
##D abline(v=lv(p1)[siteNos], lty=1, col=1:length(siteNos)) # actual site scores
##D abline(v=cp1, lty=2, col=1:length(siteNos)) # calibrated values
## End(Not run)



