### Name: calibrate.qrrvglm
### Title: Calibration for CQO, UQO and CAO models
### Aliases: calibrate.qrrvglm
### Keywords: models regression

### ** Examples

data(hspider)
hspider[,1:6] = scale(hspider[,1:6]) # Standardize the environmental variables
set.seed(123)
p1 = cqo(cbind(Pardlugu, Pardmont, Pardnigr, Pardpull, Zoraspin) ~
         WaterCon + BareSand + FallTwig +
         CoveMoss + CoveHerb + ReflLux,
         family = poissonff, data = hspider, Rank = 1,
         IToler = TRUE, Crow1positive = TRUE)

siteNos = 1:2  # Calibrate these sites
cp1 = calibrate(p1, new=data.frame(p1@y[siteNos,]), trace=TRUE)

## Not run: 
##D # Graphically compare the actual site scores with their calibrated values
##D persp(p1, main="Site scores: solid=actual, dashed=calibrated",
##D       label=TRUE, col="blue", las=1)
##D abline(v=lv(p1)[siteNos], lty=1, col=1:length(siteNos)) # actual site scores
##D abline(v=cp1, lty=2, col=1:length(siteNos)) # calibrated values
## End(Not run)



