### Name: cexpon
### Title: Censored Exponential Distribution
### Aliases: cexpon
### Keywords: models regression

### ** Examples

n = 100
lambda = exp(-0.1)
ystar  = rexp(n, rate=lambda)
L = 2 # Lower censoring point
U = 3 # Upper censoring point
y = pmax(L, ystar) # left  censoring
y = pmin(U, y)     # right censoring
## Not run: hist(y)
extra = list(leftcensored = ystar < L, rightcensored = ystar > U)
fit = vglm(y ~ 1, cexpon, trace=TRUE, extra=extra)
coef(fit, matrix=TRUE)
Coef(fit)
fit@extra



