### Name: constraints
### Title: Constraint Matrices
### Aliases: constraints
### Keywords: models regression

### ** Examples

# Fit the proportional odds model
data(pneumo)
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal, mild, severe) ~ let,
           cumulative(parallel=TRUE, reverse=TRUE), pneumo)
fit
coef(fit, matrix=TRUE)
constraints(fit)  # Parallel assumption results in this



# Fit a rank-1 stereotype (RR-multinomial logit) model 
data(car.all)
fit = rrvglm(Country ~ Width + Height + HP, multinomial, car.all, Rank=1)
constraints(fit) # All except the first are the A matrix 



