### Name: dirmultinomial
### Title: Fitting a Dirichlet-Multinomial Distribution
### Aliases: dirmultinomial
### Keywords: models regression

### ** Examples

n = 10
M = 5
y = round(matrix(runif(n*M)*10, n, M))  # Integer counts
fit = vglm(y ~ 1, dirmultinomial, trace=TRUE)
fitted(fit)[1:2,]
fit@y  # Sample proportions
weights(fit, type="prior", matrix=FALSE) # Total counts per row

x = runif(n)
fit = vglm(y ~ x, dirmultinomial, trace=TRUE)
## Not run: 
##D Coef(fit)   # This does not work
## End(Not run)
coef(fit, matrix=TRUE)
(sfit = summary(fit))
vcov(sfit)



