### Name: fitted.vlm
### Title: Fitted Values of a VLM object
### Aliases: fitted.vlm fitted.values.vlm
### Keywords: models regression

### ** Examples

# Categorical regression example 1
data(pneumo)
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal, mild, severe) ~ let,
           cumulative(parallel=TRUE, reverse=TRUE), pneumo)
fit
fitted(fit)

# Nonparametric logistic regression example 2
data(hunua) 
fit = vgam(agaaus ~ s(altitude), binomialff, hunua)
fitted(fit, matrix=FALSE)[1:3]

# LMS quantile regression example 3
data(bminz)
fit = vgam(BMI ~ s(age, df=c(4,2)), 
           fam=lms.bcn(zero=1), data=bminz, trace=TRUE)
# The following are equal
predict(fit, type="r")[1:3,]
fitted(fit)[1:3,]
predict(fit, type="r", newdata=bminz[1:3,])



