### Name: freund61
### Title: Freund's (1961) Bivariate Extension of the Exponential
###   Distribution
### Aliases: freund61
### Keywords: models regression

### ** Examples

y1 = rexp(n <- 200, rate=4)
y2 = rexp(n, rate=8)
ymat = cbind(y1,y2)
fit =  vglm(ymat ~ 1, fam=freund61, trace=TRUE)
coef(fit, matrix=TRUE)
Coef(fit)
vcov(fit)
fitted(fit)[1:5,]
summary(fit)

# y1 and y2 are independent, so fit an independence model
fit2 = vglm(ymat ~ 1, fam=freund61(indep=TRUE), trace=TRUE)
coef(fit2, matrix=TRUE)
constraints(fit2)
1 - pchisq(2*(logLik(fit)-logLik(fit2)), df=2) # p-value



