### Name: gev
### Title: Generalized Extreme Value Distribution Family Function
### Aliases: gev egev
### Keywords: models regression

### ** Examples

# Multivariate example
data(venice)
y = as.matrix(venice[,paste("r", 1:10, sep="")])
fit1 = vgam(y[,1:2] ~ s(year, df=3), gev(zero=2:3), venice, trace=TRUE)
coef(fit1, matrix=TRUE)
fitted(fit1)[1:4,]
## Not run: 
##D par(mfrow=c(1,2), las=1)
##D plot(fit1, se=TRUE, lcol="blue", scol="forestgreen",
##D      main="Fitted mu(year) function (centered)")
##D attach(venice)
##D matplot(year, y[,1:2], ylab="Sea level (cm)", col=1:2,
##D         main="Highest 2 annual sealevels & fitted 95 percentile")
##D lines(year, fitted(fit1)[,1], lty="dashed", col="blue")
##D detach(venice)
## End(Not run)

# Univariate example
data(oxtemp)
(fit = vglm(maxtemp ~ 1, egev, data=oxtemp, trace=TRUE))
fitted(fit)[1:3,]
coef(fit, mat=TRUE)
Coef(fit)
vcov(fit)
vcov(fit, untransform=TRUE)
sqrt(diag(vcov(fit)))   # Approximate standard errors
## Not run:  rlplot(fit) 



