### Name: ggamma
### Title: Generalized Gamma distribution family function
### Aliases: ggamma
### Keywords: models regression

### ** Examples

k = exp(-1)
Scale = exp(1)
y = rgamma(n=1000, shape=k, scale=Scale)
fit = vglm(y ~ 1, ggamma, trace=TRUE)
coef(fit, matrix=TRUE)

# Another example
x = runif(n <- 5000)
Scale = exp(1)
d = exp(0 + 1.2*x)
k = exp(-1 + 2*x)
y = rggamma(n, scale=Scale, d=d, k=k)
fit = vglm(y ~ x, ggamma(zero=1, iscal=6), trace=TRUE)
coef(fit, matrix=TRUE)



