### Name: golf
### Title: Gamma-Ordinal Link Function
### Aliases: golf
### Keywords: math models regression

### ** Examples

golf("prob", short=FALSE)
golf("prob", tag=TRUE)

p = seq(0.02, 0.98, len=201)
earg = list(lambda=1)
y = golf(p, earg=earg)
y. = golf(p, earg=earg, deriv=1)
max(abs(golf(y, earg=earg, inv=TRUE) - p)) # Should be 0

## Not run: 
##D par(mfrow=c(2,1), las=1)
##D plot(p, y, type="l", col="blue", main="golf()")
##D abline(h=0, v=0.5, col="red", lty="dashed")
##D 
##D plot(p, y., type="l", col="blue",
##D      main="(Reciprocal of) first GOLF derivative")
## End(Not run)

# Another example
nn = 1000
x2 = sort(runif(nn))
x3 = runif(nn)
mymu = exp( 3 + 1 * x2 - 2 * x3)
lambda = 4
y1 = rgamma(nn, shape=lambda, scale=mymu/lambda)
cutpoints = c(-Inf, 10, 20, Inf)
cuty = Cut(y1, breaks=cutpoints)
## Not run: 
##D plot(x2, x3, col=cuty, pch=as.character(cuty))
## End(Not run)
table(cuty) / sum(table(cuty))
fit = vglm(cuty ~ x2 + x3, fam = cumulative(link="golf",
           reverse=TRUE, parallel=TRUE, intercept.apply=TRUE,
           mv=TRUE, earg=list(cutpoint=cutpoints[2:3], lambda=lambda)),
           trace=TRUE)
fit@y[1:5,]
fitted(fit)[1:5,]
predict(fit)[1:5,]
coef(fit)
coef(fit, matrix=TRUE)
constraints(fit)
fit@misc$earg



