### Name: lgammaff
### Title: Log-gamma Distribution Family Function
### Aliases: lgammaff lgamma3ff
### Keywords: models regression

### ** Examples

y = rlgamma(n <- 100, k=exp(1))
fit = vglm(y ~ 1, lgammaff, trace=TRUE, crit="c")
summary(fit)
coef(fit, matrix=TRUE)
Coef(fit)

# Another example
x = runif(n <- 5000)
loc = -1 + 2*x
Scale = exp(1+x)
y = rlgamma(n, loc=loc, scale=Scale, k=exp(0))
fit = vglm(y ~ x, lgamma3ff(zero=3), trace=TRUE, crit="c")
coef(fit, matrix=TRUE)



