### Name: logistic
### Title: Logistic Distribution Family Function
### Aliases: logistic logistic1 logistic2
### Keywords: models regression

### ** Examples

# location unknown, scale known
n = 500
x = runif(n)
y = rlogis(n, loc=1+5*x, scale=4)
fit = vglm(y ~ x, logistic1(scale=4), trace=TRUE, crit="c")
coef(fit, matrix=TRUE)

# Both location and scale unknown
n = 2000
x = runif(n)
y = rlogis(n, loc=1+5*x, scale=exp(0+1*x))
fit = vglm(y ~ x, logistic2)
coef(fit, matrix=TRUE)
vcov(fit)
summary(fit)



