### Name: lvplot.rrvglm
### Title: Latent Variable Plot for RR-VGLMs
### Aliases: lvplot.rrvglm biplot.rrvglm
### Keywords: models regression hplot

### ** Examples

data(pneumo)
n = nrow(pneumo)  # x1, x2 and x3 are some unrelated covariates
pneumo = transform(pneumo, slet=scale(log(exposure.time)),
                   x1 = rnorm(n), x2 = rnorm(n), x3 = rnorm(n))
fit = rrvglm(cbind(normal, mild, severe) ~ slet + x1 + x2 + x3,
             multinomial, pneumo, Rank=2, Corner=FALSE, Uncor=TRUE)
## Not run: 
##D lvplot(fit, chull=TRUE, scores=TRUE, clty=2, ccol="blue", scol="red",
##D        Ccol="darkgreen", Clwd=2, Ccex=2,
##D        main="Biplot of some fictitional data")
## End(Not run)



