### Name: model.matrixvlm
### Title: Construct the Design Matrix of a VLM Object
### Aliases: model.matrixvlm
### Keywords: models

### ** Examples

# Illustrates smart prediction
data(pneumo)
pneumo = transform(pneumo, let=log(exposure.time))
fit = vglm(cbind(normal,mild, severe) ~ poly(c(scale(let)), 2),
           fam=multinomial,
           data=pneumo, trace=TRUE, x=FALSE)
class(fit)
fit@x
model.matrix(fit)

Check1 = model.matrix(fit, type="lm")[1:3,]
Check1
Check2 = model.matrix(fit, data=pneumo[1:3,], type="lm")
Check2
all.equal(c(Check1), c(Check2))

q0 = predict(fit)[1:3,]
q1 = predict(fit, newdata=pneumo)[1:3,]
q2 = predict(fit, newdata=pneumo[1:3,])
all.equal(q0, q1)  # Should be TRUE
all.equal(q1, q2)  # Should be TRUE



