### Name: negbinomial
### Title: Negative Binomial Distribution Family Function
### Aliases: negbinomial
### Keywords: models regression

### ** Examples

y = 0:7  # Example 1: apple tree data
w = c(70, 38, 17, 10, 9, 3, 2, 1)
fit = vglm(y ~ 1, negbinomial, weights=w)
summary(fit)
coef(fit, matrix=TRUE)
Coef(fit)

## Not run: 
##D n = 500  # Example 2: simulated data
##D x = runif(n)
##D y1 = rnbinom(n, mu=exp(3+x), size=exp(1)) # k is size
##D y2 = rnbinom(n, mu=exp(2-x), size=exp(0))
##D fit = vglm(cbind(y1,y2) ~ x, negbinomial, tra=TRUE) # multivariate response
##D coef(fit, matrix=TRUE)
## End(Not run)



