### Name: persp.qrrvglm
### Title: Perspective plot for QRR-VGLMs
### Aliases: persp.qrrvglm
### Keywords: models regression hplot

### ** Examples
## Not run: 
##D data(hspider)
##D hspider[,1:6] = scale(hspider[,1:6]) # Good idea when ITolerances = TRUE
##D set.seed(111)
##D r1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
##D                Auloalbi, Pardmont, Pardnigr, Pardpull, Trocterr) ~
##D          WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
##D          poissonff, hspider, trace = FALSE, ITolerances = TRUE)
##D set.seed(111)  # r2 below is an ill-conditioned model
##D r2 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
##D                Auloalbi, Pardmont, Pardnigr, Pardpull, Trocterr) ~
##D          WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
##D          isdlv = c(2.4,1.0), Muxfactor = 3.0, trace = FALSE,
##D          poissonff, hspider, Rank = 2, EqualTolerances = TRUE)
##D 
##D sort(r1@misc$deviance.Bestof)  # A history of the fits
##D sort(r2@misc$deviance.Bestof)  # A history of the fits
##D if(deviance(r2) > 857) stop("suboptimal fit obtained")
##D 
##D persp(r1, xlim=c(-6,5), col=1:4, label=TRUE)
##D 
##D # Involves all species 
##D persp(r2, xlim=c(-6,5), ylim=c(-4,5), theta=10, phi=20, zlim=c(0,220))
##D # Omit the two dominant species to see what's behind them
##D persp(r2, xlim=c(-6,5), ylim=c(-4,5), theta=10, phi=20, zlim=c(0,220), 
##D       which=(1:10)[-c(8,10)]) # Use zlim to retain the original z-scale
## End(Not run)



