### Name: poissonff
### Title: Poisson Family Function
### Aliases: poissonff
### Keywords: models regression

### ** Examples

poissonff()

n = 100
x2 = rnorm(n)
x3 = rnorm(n)
x4 = rnorm(n)
lv1 = 0 + x3 - 2*x4
lambda1 = exp(3 - 0.5 * (lv1-0)^2)
lambda2 = exp(2 - 0.5 * (lv1-1)^2)
lambda3 = exp(2 - 0.5 * ((lv1+4)/2)^2)
y1 = rpois(n, lambda1)
y2 = rpois(n, lambda2)
y3 = rpois(n, lambda3)
p1 = cqo(cbind(y1,y2,y3) ~ x2 + x3 + x4, poissonff, EqualTol=FALSE,
         ITol=FALSE)
summary(p1)  # # Three dispersion parameters are all unity
## Not run: 
##D lvplot(p1, y=TRUE, lcol=2:4, pch=2:4, pcol=2:4, rug=FALSE)
## End(Not run)



