### Name: posnegbinomial
### Title: Positive Negative Binomial Distribution Family Function
### Aliases: posnegbinomial
### Keywords: models regression

### ** Examples

## Not run: 
##D x = runif(nn <- 2000)
##D y1 = rnbinom(nn, mu=exp(0+2*x), size=exp(1)) # k is size in rnbinom()
##D y2 = rnbinom(nn, mu=exp(1+2*x), size=exp(3))
##D fit = vglm(cbind(y1,y2) ~ 1, posnegbinomial, subset=(y1>0)&(y2>1),
##D            trace=TRUE)
##D coef(fit, matrix=TRUE)
##D dim(fit@y)
##D fitted(fit)[1:5,]
##D predict(fit)[1:5,]
##D 
##D # Another artificial data example
##D munb = exp(2); k = exp(3); n = 1000
##D y = rposnegbin(n, munb=munb, k=k)
##D table(y)
##D fit = vglm(y ~ 1, posnegbinomial, trace=TRUE)
##D coef(fit, matrix=TRUE)
##D mean(y)    # Sample mean
##D munb / (1 - (k/(k+munb))^k) # Population mean
##D fitted(fit)[1:5,]
##D predict(fit)[1:5,]
## End(Not run)



