### Name: Pospois
### Title: Positive-Poisson Distribution
### Aliases: Pospois dpospois ppospois qpospois rpospois
### Keywords: distribution

### ** Examples

lambda = 2
y = rpospois(n=1000, lambda)
table(y)
mean(y)  # Sample mean
lambda / (1-exp(-lambda)) # Population mean

(i = dpospois(0:7, lambda))
cumsum(i) - ppospois(0:7, lambda)  # Should be 0s
table(rpospois(100, lambda))

table(qpospois(runif(1000), lambda))
round(dpospois(1:10, lambda) * 1000) # Should be similar

## Not run: 
##D x = 0:7
##D plot(x, dpospois(x, lambda), type="h", ylab="Probability",
##D      main=paste("Positive Poisson(", lambda, ") (blue) vs",
##D      " Poisson(", lambda, ") (red & shifted slightly)", sep=""),
##D      lwd=2, col="blue", las=1)
##D lines(x+0.05, dpois(x, lambda), type="h", lwd=2, col="red")
## End(Not run)



