### Name: qtplot.gumbel
### Title: Quantile Plot for Gumbel Regression
### Aliases: qtplot.gumbel qtplot.egumbel
### Keywords: hplot models regression

### ** Examples

data(venice)
y = as.matrix(venice[,paste("r",1:10,sep="")])
fit1 = vgam(y ~ s(year, df=3), gumbel(R=365, mpv=TRUE),
            data=venice, trace=TRUE, na.action=na.pass)
fitted(fit1)[1:4,]

## Not run: 
##D par(mfrow=c(1,1), bty="l", xpd=TRUE, las=1)
##D qtplot(fit1, mpv=TRUE, lcol=c(1,2,5), tcol=c(1,2,5), lwd=2,
##D        pcol="blue", tadj=0.4)
##D 
##D qtplot(fit1, perc=97, mpv=FALSE, lcol=3, tcol=3,
##D        lwd=2, tadj=0.4, add=TRUE) -> i
##D i@post$qtplot$fitted[1:4,]
## End(Not run)



