### Name: quasibinomialff
### Title: Quasi-Binomial Family Function
### Aliases: quasibinomialff
### Keywords: models regression

### ** Examples

quasibinomialff()
quasibinomialff(link="probit")

# Nonparametric logistic regression
data(hunua)
hunua = transform(hunua, a.5 = sqrt(altitude))    # Transformation of altitude
fit1 = vglm(agaaus ~ poly(a.5, 2), quasibinomialff, hunua)
fit2 = vgam(agaaus ~ s(a.5), quasibinomialff, hunua)
## Not run: 
##D plot(fit2, se=TRUE, llwd=2, lcol="darkgreen", scol="darkgreen",
##D      xlab="sqrt(altitude)",
##D      main="GAM and quadratic GLM fitted to species data")
##D plotvgam(fit1, se=TRUE, lcol="blue", scol="blue", add=TRUE, llwd=2)
## End(Not run)
fit1@misc$dispersion   # dispersion parameter
logLik(fit1)

# Here, the dispersion parameter defaults to 1
fit0 = vglm(agaaus ~ poly(a.5, 2), binomialff, hunua)
fit0@misc$dispersion   # dispersion parameter



