### Name: rayleigh
### Title: Rayleigh Distribution Family Function
### Aliases: rayleigh crayleigh
### Keywords: models regression

### ** Examples

n = 1000; a = exp(2)
ystar = rrayleigh(n, a=a)
fit = vglm(ystar ~ 1, rayleigh, trace=TRUE, crit="c")
fitted(fit)[1:5]
mean(ystar)
coef(fit, matrix=TRUE)
Coef(fit)

# Censored data
U = runif(n, 5, 15)
y = pmin(U, ystar)
## Not run:  par(mfrow=c(1,2)); hist(ystar); hist(y); 
extra = list(rightcensored = ystar > U)
fit = vglm(y ~ 1, crayleigh, trace=TRUE, extra=extra)
table(fit@extra$rightcen)
coef(fit, matrix=TRUE)
fitted(fit)[1:4,]



