### Name: recnormal1
### Title: Upper Record Values from a Univariate Normal Distribution
### Aliases: recnormal1
### Keywords: models regression

### ** Examples

n = 10000
mymean = 100
# First value is reference value or trivial record
rawy = c(mymean, rnorm(n, me=mymean, sd=16))

# Keep only observations that are records
delete = c(FALSE, rep(TRUE, len=n))
for(i in 2:length(rawy))
    if(rawy[i] > max(rawy[1:(i-1)])) delete[i] = FALSE
(y = rawy[!delete])

fit = vglm(y ~ 1, recnormal1, trace=TRUE, maxit=200)
coef(fit, matrix=TRUE)
Coef(fit)
summary(fit)



