### Name: rrvglm.control
### Title: Control function for rrvglm
### Aliases: rrvglm.control
### Keywords: models regression

### ** Examples

data(pneumo)
set.seed(111)
pneumo = transform(pneumo, let=log(exposure.time),
            x1 = runif(nrow(pneumo)))  # x1 is some unrelated covariate
fit = rrvglm(cbind(normal, mild, severe) ~ let + x1,
             multinomial, pneumo, Rank=1, Index.corner=2)
constraints(fit)
vcov(fit)
summary(fit)



