### Name: s
### Title: Defining smooths in VGAM formulae
### Aliases: s
### Keywords: models regression smooth

### ** Examples

# Nonparametric logistic regression
data(hunua)
fit = vgam(agaaus ~ s(altitude, df=3), binomialff, hunua)
## Not run: 
##D plot(fit, se=TRUE)
## End(Not run)

# Bivariate logistic model with artificial data
n = 300 
mydf = data.frame(x1=runif(n), x2=runif(n))
mydf = transform(mydf, 
    y1 = ifelse(runif(n) < 1/(1+exp(-sin(2*x2))), 1, 0),
    y2 = ifelse(runif(n) < 1/(1+exp(-sin(2*x2))), 1, 0))
fit = vgam(cbind(y1,y2) ~ x1 + s(x2, 3), trace=TRUE,
           binom2.or(exchangeable = TRUE ~ s(x2,3)), data=mydf)
coef(fit, matrix=TRUE)
## Not run: 
##D plot(fit, se=TRUE, which.term= 2, scol="blue")
## End(Not run)



