### Name: smartpred
### Title: Smart Prediction
### Aliases: smartpred
### Keywords: models regression programming

### ** Examples

# Create some data first
n = 20
set.seed(86) # For reproducibility of the random numbers
x = sort(runif(n)) 
y = sort(runif(n))
## Not run: 
##D if(is.R()) library(splines)   # To get ns() in R
## End(Not run)

# This will work for R 1.6.0 and later, but fail for S-PLUS
fit = lm(y ~ ns(x, df=5))
## Not run: 
##D plot(x, y)
##D lines(x, fitted(fit))
##D newx = seq(0, 1, len=n)
##D points(newx, predict(fit, data.frame(x=newx)), type="b", col=2, err=-1)
## End(Not run)

# The following fails for R 1.6.x and later but works with smart prediction
## Not run: 
##D fit = lm(y ~ ns(scale(x), df=5))
##D fit$smart.prediction
##D plot(x, y)
##D lines(x, fitted(fit))
##D newx = seq(0, 1, len=n)
##D points(newx, predict(fit, data.frame(x=newx)), type="b", col=2, err=-1)
## End(Not run)

# The following requires the VGAM package to be loaded 
## Not run: 
##D library(VGAM)
##D fit = vlm(y ~ ns(scale(x), df=5))
##D fit@smart.prediction
##D plot(x, y)
##D lines(x, fitted(fit))
##D newx = seq(0, 1, len=n)
##D points(newx, predict(fit, data.frame(x=newx)), type="b", col=2, err=-1)
## End(Not run)



