### Name: tobit
### Title: Tobit Model
### Aliases: tobit
### Keywords: models regression

### ** Examples
## Not run: 
##D n = 1000
##D x = seq(-1, 1, len=n)
##D f = function(x) 1 + 4*x
##D ystar = f(x) + rnorm(n)
##D Lower = 1
##D Upper = 4
##D y  = pmax(ystar, Lower)
##D y  = pmin(y, Upper)
##D plot(x, y, main="Tobit model", las=1)
##D legend(-0.9, 3, c("Truth", "Estimate"), col=c("Blue", "Red"), lwd=2)
##D table(y==Lower | y==Upper)   # How many censored values?
##D fit = vglm(y ~ x, tobit(Lower=Lower, Upper=Upper), trace=TRUE)
##D table(fit@extra$censoredL)
##D table(fit@extra$censoredU)
##D coef(fit, matrix=TRUE)
##D lines(x, f(x), col="blue", lwd=2)  # The truth
##D lines(x, fitted(fit), col="red", lwd=2, lty="dashed")  # The estimate
##D summary(fit)
## End(Not run)



