### Name: Tpareto
### Title: The Truncated Pareto Distribution
### Aliases: Tpareto dtpareto ptpareto qtpareto rtpareto
### Keywords: distribution

### ** Examples

lower = 3; upper = 8; k = exp(0.5)
## Not run: 
##D x = seq(lower, upper, len=200)
##D plot(x, dtpareto(x, lo=lower, up=upper, shape=k), type="l",
##D      main="Truncated Pareto density split into 10 equal areas")
##D abline(h=0, col="blue", lty=2)
##D qq = qtpareto(seq(0.1,0.9,by=0.1),lo=lower, up=upper,shape=k)
##D lines(qq, dtpareto(qq, lo=lower, up=upper, shape=k),
##D       col="purple", lty=3, type="h")
## End(Not run)
pp = seq(0.1,0.9,by=0.1)
qq = qtpareto(pp, lo=lower, up=upper, shape=k)
ptpareto(qq, lo=lower, up=upper, shape=k)
qtpareto(ptpareto(qq, lo=lower, up=upper, shape=k),
         lo=lower, up=upper, shape=k) - qq # Should be all 0



