### Name: trplot
### Title: Trajectory Plot
### Aliases: trplot
### Keywords: models regression

### ** Examples

## Not run: 
##D data(hspider)
##D hspider[,1:6] = scale(hspider[,1:6]) # Standardized environmental vars
##D set.seed(123)
##D 
##D p1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
##D                Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
##D                Trocterr, Zoraspin) ~
##D          WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
##D          fam = quasipoissonff, data = hspider, Crow1positive=FALSE)
##D 
##D nos = ncol(p1@y)
##D clr = 1:nos   # OR (1:(nos+1))[-7]  to omit yellow
##D 
##D trplot(p1, whichSpecies=1:3, log="xy",
##D        col=c("blue","red","green"), lwd=2, label=TRUE) -> ii
##D legend(0.00005, 0.3, paste(ii$species[,1], ii$species[,2], sep=" and "),
##D        lwd=2, lty=1, col=c("blue","red","green"))
##D abline(a=0, b=1, lty="dashed")
##D 
## End(Not run)



