### Name: trplot.qrrvglm
### Title: Trajectory plot for QRR-VGLMs
### Aliases: trplot.qrrvglm
### Keywords: models regression hplot

### ** Examples
## Not run: 
##D data(hspider)
##D set.seed(111)  # This leads to the global solution
##D # hspider[,1:6]=scale(hspider[,1:6]) # Standardize the environmental variables
##D p1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi, Auloalbi,
##D                Pardlugu, Pardmont, Pardnigr, Pardpull, Trocterr, Zoraspin) ~
##D          WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
##D          fam = poissonff, data = hspider, trace=FALSE)
##D 
##D trplot(p1, whichSpecies=1:3, log="xy", type="b", lty=1,
##D        main="Trajectory plot of three hunting spiders species",
##D        col=c("blue","red","green"), lwd=2, label=TRUE) -> ii
##D legend(0.00005, 0.3, paste(ii$species[,1], ii$species[,2], sep=" and "),
##D        lwd=2, lty=1, col=c("blue","red","green"))
##D abline(a=0, b=1, lty="dashed")  # Useful reference line
## End(Not run)



