### Name: venice
### Title: Venice Maximum Sea Levels
### Aliases: venice
### Keywords: datasets

### ** Examples

data(venice)
## Not run: 
##D matplot(venice[["year"]], venice[,-1], xlab="Year", ylab="Sea level (cm)")
## End(Not run)

y = as.matrix(venice[,paste("r",1:10,sep="")])
fit1 = vgam(y ~ s(year, df=3), gumbel(R=365, mpv=TRUE),
            data=venice, trace=TRUE, na.action=na.pass)
fitted(fit1)[1:4,]

## Not run: 
##D par(mfrow=c(2,1), xpd=TRUE)
##D plot(fit1, se=TRUE, lcol="blue", llwd=2, slty="dashed")
##D 
##D par(mfrow=c(1,1), bty="l", xpd=TRUE, las=1)
##D qtplot(fit1, mpv=TRUE, lcol=c(1,2,5), tcol=c(1,2,5), 
##D        llwd=2, pcol="blue", tadj=0.1)
## End(Not run)



