### Name: vgam
### Title: Fitting Vector Generalized Additive Models
### Aliases: vgam
### Keywords: models regression smooth

### ** Examples

# Nonparametric proportional odds model 
data(pneumo)
pneumo = transform(pneumo, let=log(exposure.time))
vgam(cbind(normal,mild,severe) ~ s(let), cumulative(par=TRUE), pneumo)

# Nonparametric logistic regression 
data(hunua) 
fit = vgam(agaaus ~ s(altitude), binomialff, hunua)
## Not run: 
##D plot(fit, se=TRUE)
## End(Not run)

# Fit two species simultaneously 
fit2 = vgam(cbind(agaaus, kniexc) ~ s(altitude), binomialff(mv=TRUE), hunua)
coef(fit2, mat=TRUE)   # Not really interpretable 
## Not run: 
##D plot(fit2, se=TRUE, overlay=TRUE, lcol=1:2, scol=1:2)
##D attach(hunua)
##D o = order(altitude)
##D matplot(altitude[o], fitted(fit2)[o,], type="l", lwd=2, las=1,
##D     xlab="Altitude (m)", ylab="Probability of presence",
##D     main="Two plant species' response curves", ylim=c(0,.8))
##D rug(altitude)
##D detach(hunua)
## End(Not run)



