### Name: zanegbinomial
### Title: Zero-Altered Negative Binomial Distribution
### Aliases: zanegbinomial
### Keywords: models regression

### ** Examples

## Not run: 
##D x = runif(n <- 2000)
##D p0 = logit(-1 + 2*x, inverse=TRUE)
##D y1 = rposnegbin(n, munb=exp(0+2*x), k=exp(1))   # With covariates
##D y2 = rposnegbin(n, munb=exp(1+2*x), k=exp(1))   # With covariates
##D y1 = ifelse(runif(n) < p0, 0, y1)
##D y2 = ifelse(runif(n) < p0, 0, y2)
##D table(y1)
##D table(y2)
##D 
##D fit = vglm(cbind(y1,y2) ~ x, zanegbinomial, trace=TRUE)
##D coef(fit, matrix=TRUE)
##D fitted(fit)[1:9,]
##D predict(fit)[1:9,]
## End(Not run)



