### Name: Zibinom
### Title: Zero-Inflated Binomial Distribution
### Aliases: Zibinom dzibinom pzibinom qzibinom rzibinom
### Keywords: distribution

### ** Examples

prob = 0.2
size = 10
phi = 0.5
(i = dzibinom(0:size, size, prob, phi=phi))
cumsum(i) - pzibinom(0:size, size, prob, phi=phi)  # Should be 0s
table(rzibinom(100, size, prob, phi=phi))

table(qzibinom(runif(100), size, prob, phi=phi))
round(dzibinom(0:10, size, prob, phi=phi) * 100) # Should be similar

## Not run: 
##D x = 0:size
##D plot(x, dzibinom(x, size, prob, phi=phi), type="h", ylab="Probability", 
##D      main=paste("ZIB(", size, ", ", prob, ", phi=", phi, ") (blue) vs",
##D      " Binomial(", size, ", ", prob, ") (red & shifted slightly)", sep=""),
##D      lwd=2, col="blue", las=1)
##D lines(x+0.05, dbinom(x, size, prob), type="h", lwd=2, col="red")
## End(Not run)



