### Name: Zipois
### Title: Zero-Inflated Poisson Distribution
### Aliases: Zipois dzipois pzipois qzipois rzipois
### Keywords: distribution

### ** Examples

lambda = 4
phi = 0.8
(i = dzipois(0:7, lambda, phi))
cumsum(i) - pzipois(0:7, lambda, phi)  # Should be 0s
table(rzipois(100, lambda, phi))

table(qzipois(runif(100), lambda, phi))
round(dzipois(0:10, lambda, phi) * 100) # Should be similar

## Not run: 
##D x = 0:10
##D plot(x, dzipois(x, lambda, phi), type="h", ylab="Probability", 
##D      main=paste("ZIP(", lambda, ", phi=", phi, ") (blue) vs",
##D      " Poisson(", lambda, ") (red & shifted slightly)", sep=""),
##D      lwd=2, col="blue", las=1)
##D lines(x+0.05, dpois(x, lambda), type="h", lwd=2, col="red")
## End(Not run)



